#! /bin/sh

if test $# -ne 2; then
	echo "Usage: nfi_convert.sh nfi_image_name target_dir" 
	exit 1
fi


nfi_image_file=$1
target_dir=$2
nfi_image_name=$(basename $nfi_image_file)

if test -e cache/$nfi_image_name.tar; then
  echo "nfi-image is already extracted"
else
  cd nfi-utils
  ./nfi_unpack $nfi_image_file > ../cache/$nfi_image_name.tar
  cd ..
fi
echo "Copying image to destination directory"
rm -rf $target_dir/$nfi_image_name
mkdir $target_dir/$nfi_image_name
tar -C $target_dir/$nfi_image_name -xvf cache/$nfi_image_name.tar >/dev/null

echo "Patching image"
for i in patch/*
do
	. $i $target_dir/$nfi_image_name
done

#./patch/nfipatch.sh $target_dir/$nfi_image_name
#./patch/fwpatch001.sh $target_dir/$nfi_image_name